insight = new InsightTool()

public class InsightTool {
	/**
	 * Returns the Insights objects from the given custom field (with error handling).
	 */
	public def getObjects(def issue, def customFieldId) {
		try {
			if(!issue.getCustomField(customFieldId)) {
				throw new IllegalArgumentException("\"${customFieldId}\" not found")
			}

			def customField = issue.getCustomField(customFieldId)

			if(!customField.customFieldType.key.startsWith("com.riadalabs.jira.plugins.insight:")) {
				throw new IllegalArgumentException("\"${customFieldId}\" is not an Insight custom field")
			}

			def value = issue.getCustomFieldValue(customField)
			return (value != null) ? value : [ [ key: "None", name: "None" ] ]
		} catch(Throwable ex) {
			return [ [ key: "${ex.message}", name: "${ex.message}" ] ]
		}
	}
}